List LookupTable - m3ter Documentation
List LookupTable
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/lookuptables \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/lookuptables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
Status Codes
- 200: Success
- 4XX: Client Error
- 5XX: Server Error
JSON Response Structure
{
"data": [\
{\
"id": "<string>",\
"version": 123,\
"customFields": {},\
"name": "<string>",\
"code": "<string>",\
"dtCreated": "2023-11-07T05:31:56Z",\
"dtLastModified": "2023-11-07T05:31:56Z",\
"createdBy": "<string>",\
"lastModifiedBy": "<string>",\
"activeRevision": {\
"id": "<string>",\
"version": 123,\
"customFields": {},\
"name": "<string>",\
"startDate": "2023-11-07T05:31:56Z",\
"fields": [\
{\
"name": "lookuptablerevisionfieldkey"\
}\
],\
"keys": [\
"<string>"\
],\
"dtCreated": "2023-11-07T05:31:56Z",\
"dtLastModified": "2023-11-07T05:31:56Z",\
"createdBy": "<string>",\
"lastModifiedBy": "<string>",\
"itemCount": 123,\
"lookupTableId": "<string>"\
}\
}\
],
"nextToken": "<string>"
}
Error Structure
{
"message": "<string>"
}
Authorizations
- Authorization: string, header, required
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
- The
authorizationCode flow controls access for human users via the m3ter Console application.
Parameters
- Path Parameter: orgId (string, required) - UUID of the Organization.
- Query Parameters:
- pageSize (integer, required): Number of Lookup Tables to retrieve per page. Required range:
1 <= x <= 200
- nextToken (string): Token for multi-page retrievals.
- codes (string[]): List of Lookup Table codes to retrieve.
- additional (string[]): Comma separated list of additional non-default fields to be included in the response.